Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.impl/src/main/java/org/gvsig/export/swing/impl/panels/SelectFormatPanel.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.impl/src/main/java/org/gvsig/export/swing/impl/panels/SelectFormatPanel.java	(revision 44394)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.impl/src/main/java/org/gvsig/export/swing/impl/panels/SelectFormatPanel.java	(revision 44395)
@@ -18,6 +18,7 @@
 import org.gvsig.export.swing.spi.ExportPanel;
 import org.gvsig.export.swing.spi.ExportPanelValidationException;
 import org.gvsig.tools.ToolsLocator;
+import org.gvsig.tools.bookmarksandhistory.Bookmark;
 import org.gvsig.tools.bookmarksandhistory.Bookmarks;
 import org.gvsig.tools.bookmarksandhistory.History;
 import org.gvsig.tools.i18n.I18nManager;
@@ -28,7 +29,6 @@
 import static org.gvsig.tools.swing.api.bookmarkshistory.ActionEventWithCurrentValue.ID_SETVALUE;
 import org.gvsig.tools.swing.api.bookmarkshistory.BookmarksController;
 import org.gvsig.tools.swing.api.bookmarkshistory.HistoryController;
-import org.gvsig.tools.swing.api.bookmarkshistory.HistoryController.HistoryEvent;
 import org.slf4j.Logger;
 import org.slf4j.LoggerFactory;
 
@@ -86,30 +86,29 @@
                     return;
                 }
                 doUpdateDescription();
-//                doUpdateFilter();
             }
         });
-        
+
         Predicate<ExportParameters> filter = new Predicate<ExportParameters>() {
             @Override
             public boolean test(ExportParameters params) {
                 if (params == null) {
                     return false;
                 }
-                ExportServiceFactory selectedService = SelectFormatPanel.this.getSelectedService();
+                ExportServiceFactory selectedService = getSelectedService();
                 if (selectedService == null) {
                     return false;
                 }
                 String selectedServiceName = selectedService.getName();
                 String paramsServiceName = params.getServiceName();
-                return StringUtils.equals(paramsServiceName,selectedServiceName);
+                return StringUtils.equals(paramsServiceName, selectedServiceName);
             }
         };
         ActionListener historyAndBookmarkListener = new ActionListener() {
             @Override
             public void actionPerformed(ActionEvent e) {
                 ActionEventWithCurrentValue<ExportParameters> b = (ActionEventWithCurrentValue<ExportParameters>) e;
-                switch(b.getID()) {
+                switch (b.getID()) {
                     case ID_GETVALUE:
                         // Esta deshabilitado esta opcion
                         break;
@@ -136,7 +135,22 @@
         Bookmarks<ExportParameters> bookmarks = ExportLocator.getManager().getBookmarks();
         this.bookmarksController = ToolsSwingLocator.getToolsSwingManager().createBookmarksController(bookmarks, this.btnBookmark);
         this.bookmarksController.setAllowAddBookmarks(false);
-        this.bookmarksController.setFilter(filter);
+        this.bookmarksController.setFilter(new Predicate<Bookmark<ExportParameters>>() {
+            @Override
+            public boolean test(Bookmark<ExportParameters> bookmark) {
+                ExportParameters params = bookmark.getValue();
+                if (params == null) {
+                    return false;
+                }
+                ExportServiceFactory selectedService = getSelectedService();
+                if (selectedService == null) {
+                    return true;
+                }
+                String selectedServiceName = selectedService.getName();
+                String paramsServiceName = params.getServiceName();
+                return StringUtils.equals(paramsServiceName, selectedServiceName);
+            }
+        });       
         this.bookmarksController.addActionListener(historyAndBookmarkListener);
         History<ExportParameters> history = ExportLocator.getManager().getHistory();
         this.historyController = ToolsSwingLocator.getToolsSwingManager().createHistoryController(history, this.btnHistory);
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.impl/src/main/java/org/gvsig/export/swing/impl/panels/SelectCharsetPanel.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.impl/src/main/java/org/gvsig/export/swing/impl/panels/SelectCharsetPanel.java	(revision 0)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.impl/src/main/java/org/gvsig/export/swing/impl/panels/SelectCharsetPanel.java	(revision 44395)
@@ -0,0 +1,125 @@
+/*
+ * To change this license header, choose License Headers in Project Properties.
+ * To change this template file, choose Tools | Templates
+ * and open the template in the editor.
+ */
+package org.gvsig.export.swing.impl.panels;
+
+import java.nio.charset.Charset;
+import java.util.Map;
+import java.util.SortedMap;
+import javax.swing.DefaultListModel;
+import javax.swing.JComponent;
+import org.apache.commons.lang3.StringUtils;
+import org.gvsig.export.ExportCharsetParameters;
+import org.gvsig.export.ExportParameters;
+import org.gvsig.export.swing.JExportProcessPanel;
+import org.gvsig.export.swing.spi.ExportPanel;
+import org.gvsig.export.swing.spi.ExportPanelValidationException;
+import org.gvsig.tools.ToolsLocator;
+import org.gvsig.tools.dynobject.DynField;
+import org.gvsig.tools.dynobject.DynStruct;
+import org.gvsig.tools.dynobject.exception.DynFieldNotFoundException;
+import org.gvsig.tools.i18n.I18nManager;
+import org.gvsig.tools.swing.api.ListElement;
+import org.gvsig.tools.swing.api.ToolsSwingLocator;
+import org.gvsig.tools.swing.api.ToolsSwingManager;
+import org.slf4j.Logger;
+import org.slf4j.LoggerFactory;
+
+/**
+ *
+ * @author osc
+ */
+public class SelectCharsetPanel extends SelectCharsetPanelView
+        implements ExportPanel {
+
+    private static final Logger LOG = LoggerFactory.getLogger(SelectCharsetPanel.class);
+
+    private final JExportProcessPanel processPanel;
+    private final ExportParameters parameters;
+
+    public SelectCharsetPanel(JExportProcessPanel processPanel, ExportParameters parameters) {
+        super();
+        this.processPanel = processPanel;
+        this.parameters = parameters;
+        this.initComponents();
+    }
+
+    private void initComponents() {
+        DynStruct parametersDefinition = ToolsLocator.getPersistenceManager().getDefinition("DBFStoreParameters");
+        DynField dynField = parametersDefinition.getDynField("Encoding");
+
+        DefaultListModel model = new DefaultListModel();
+        SortedMap<String, Charset> availableCharsets = Charset.availableCharsets();
+        for (Map.Entry<String, Charset> charset : availableCharsets.entrySet()) {
+            model.addElement(charset.getKey());
+        }
+
+        this.lstCharset.setModel(model);
+        this.lstCharset.setSelectedIndex(0);
+
+        this.translate();
+    }
+
+    private void translate() {
+        ToolsSwingManager i18nc = ToolsSwingLocator.getToolsSwingManager();
+        i18nc.translate(this.lblCharset);
+    }
+
+    @Override
+    public JComponent asJComponent() {
+        return this;
+    }
+
+    @Override
+    public String getIdPanel() {
+        return this.getClass().getSimpleName();
+    }
+
+    @Override
+    public String getTitlePanel() {
+        I18nManager i18nManager = ToolsLocator.getI18nManager();
+        return i18nManager.getTranslation("_Select_encoding");
+    }
+
+    @Override
+    public boolean validatePanel() throws ExportPanelValidationException {
+        return true;
+    }
+
+    @Override
+    public void enterPanel() {
+        ExportCharsetParameters params = (ExportCharsetParameters) this.parameters;
+        if (!StringUtils.isEmpty(params.getCharset())) {
+            String charset = params.getCharset();
+            ListElement.setSelected(this.lstCharset, charset);
+            return;
+        }
+        try {
+            // TODO ?
+            //CSVStoreParameters;
+            String sourceCharset = (String) this.parameters.getSourceFeatureStore().getParameters().getDynValue("charset");
+            if (sourceCharset != null) {
+                this.lstCharset.setSelectedValue(sourceCharset, true);
+                return;
+            }
+        } catch (DynFieldNotFoundException e) {
+            LOG.info("Can't find charset dyn value from source store");
+        }
+
+        this.lstCharset.setSelectedValue(Charset.forName("UTF-8").displayName(), true);
+
+    }
+
+    @Override
+    public void previousPanel() {
+
+    }
+
+    @Override
+    public void nextPanel() {
+        ExportCharsetParameters params = (ExportCharsetParameters) this.parameters;
+        params.setCharset((String) this.lstCharset.getSelectedValue());
+    }
+}
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.impl/src/main/java/org/gvsig/export/swing/impl/DefaultExportPanelsManager.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.impl/src/main/java/org/gvsig/export/swing/impl/DefaultExportPanelsManager.java	(revision 44394)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.impl/src/main/java/org/gvsig/export/swing/impl/DefaultExportPanelsManager.java	(revision 44395)
@@ -12,6 +12,7 @@
 import org.gvsig.export.swing.impl.panels.SelectTargetProjectionPanel;
 import org.gvsig.export.swing.impl.panels.SelectGeometryFieldPanel;
 import org.gvsig.export.swing.impl.panels.SelectAttributesPanel;
+import org.gvsig.export.swing.impl.panels.SelectCharsetPanel;
 import org.gvsig.export.swing.spi.ExportPanel;
 import org.gvsig.export.swing.spi.ExportPanelsFactory;
 import org.gvsig.export.swing.spi.ExportPanelsManager;
@@ -35,6 +36,7 @@
         this.factories = new HashMap<>();
         this.stdPanels = new HashMap();
         this.stdPanels.put(PANEL_CHECK_GEOMETRIES, CheckGeometriesPanel.class);
+        this.stdPanels.put(PANEL_SELECT_CHARSET, SelectCharsetPanel.class );
         this.stdPanels.put(PANEL_SELECT_FILTER, SelectFilterPanel.class);
         this.stdPanels.put(PANEL_ATTRIBUTES_SELECTION, SelectAttributesPanel.class);
         this.stdPanels.put(PANEL_SELECT_GEOMETRY_TYPE, SelectGeometryTypePanel.class);
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/org.gvsig.exportto.swing.prov.csv/src/main/java/org/gvsig/export/csv/service/ExportCSVService.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/org.gvsig.exportto.swing.prov.csv/src/main/java/org/gvsig/export/csv/service/ExportCSVService.java	(revision 44394)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/org.gvsig.exportto.swing.prov.csv/src/main/java/org/gvsig/export/csv/service/ExportCSVService.java	(revision 44395)
@@ -106,6 +106,7 @@
             newStoreParameters.setDynValue("quoteCharacter", this.getParameters().getQuoteCharacter());
             newStoreParameters.setDynValue("commentStartMarker", this.getParameters().getCommentStartMarker());
             newStoreParameters.setDynValue("escapeCharacter", this.getParameters().getEscapeCharacter());
+            newStoreParameters.setDynValue("charset", this.getParameters().getCharset());
 
             FeatureType ft = this.getParameters().getExportAttributes().getTargetFeatureType();
             if (ft == null) {
@@ -143,6 +144,7 @@
             openStoreParameters.setDynValue("commentStartMarker", checkEmptyStringParam(this.getParameters().getCommentStartMarker()));
             openStoreParameters.setDynValue("escapeCharacter", checkEmptyStringParam(this.getParameters().getEscapeCharacter()));
             openStoreParameters.setDynValue("firstLineHeader", true);
+            openStoreParameters.setDynValue("charset", checkEmptyStringParam(this.getParameters().getCharset()));
 
             return openStoreParameters;
         } catch (DataException ex) {
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/org.gvsig.exportto.swing.prov.csv/src/main/java/org/gvsig/export/csv/service/ExportCSVParameters.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/org.gvsig.exportto.swing.prov.csv/src/main/java/org/gvsig/export/csv/service/ExportCSVParameters.java	(revision 44394)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/org.gvsig.exportto.swing.prov.csv/src/main/java/org/gvsig/export/csv/service/ExportCSVParameters.java	(revision 44395)
@@ -1,5 +1,6 @@
 package org.gvsig.export.csv.service;
 
+import org.gvsig.export.ExportCharsetParameters;
 import org.gvsig.tools.util.HasAFile;
 import org.gvsig.export.ExportParameters;
 
@@ -7,7 +8,7 @@
  *
  * @author jjdelcerro
  */
-public interface ExportCSVParameters extends ExportParameters, HasAFile {
+public interface ExportCSVParameters extends ExportCharsetParameters, ExportParameters, HasAFile {
     
     public String getProfile();
     
@@ -41,8 +42,4 @@
     
     public void setEscapeCharacter(String escapeCharacter);
     
-    public String getCharset();
-    
-    public void setCharset(String charset);
-    
 }
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/org.gvsig.exportto.swing.prov.csv/src/main/java/org/gvsig/export/csv/service/ExportCSVParametersImpl.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/org.gvsig.exportto.swing.prov.csv/src/main/java/org/gvsig/export/csv/service/ExportCSVParametersImpl.java	(revision 44394)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/org.gvsig.exportto.swing.prov.csv/src/main/java/org/gvsig/export/csv/service/ExportCSVParametersImpl.java	(revision 44395)
@@ -3,7 +3,7 @@
 import java.io.File;
 import org.apache.commons.io.FilenameUtils;
 import org.apache.commons.lang3.StringUtils;
-import org.gvsig.export.spi.AbstractExportParameters;
+import org.gvsig.export.spi.AbstractExportParametersGeometry;
 import org.gvsig.fmap.dal.feature.FeatureType;
 
 /**
@@ -11,7 +11,7 @@
  * @author jjdelcerro
  */
 public class ExportCSVParametersImpl
-        extends AbstractExportParameters
+        extends AbstractExportParametersGeometry
         implements ExportCSVParameters {
 
     private String encoding;
@@ -117,7 +117,7 @@
 
     @Override
     public void setCommentStartMarker(String commentStartMarker) {
-        this.commentStartMarker  = commentStartMarker;
+        this.commentStartMarker = commentStartMarker;
     }
 
     @Override
@@ -139,10 +139,10 @@
     public void setCharset(String charset) {
         this.charset = charset;
     }
-    
+
     @Override
     public String toString() {
-        String label = StringUtils.join(super.getLabel(),",", this.getProfile());
+        String label = StringUtils.join(super.getLabel(), ",", this.getProfile());
         return label;
     }
 
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/org.gvsig.exportto.swing.prov.csv/src/main/java/org/gvsig/export/csv/service/ExportCSVServiceFactory.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/org.gvsig.exportto.swing.prov.csv/src/main/java/org/gvsig/export/csv/service/ExportCSVServiceFactory.java	(revision 44394)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/org.gvsig.exportto.swing.prov.csv/src/main/java/org/gvsig/export/csv/service/ExportCSVServiceFactory.java	(revision 44395)
@@ -38,7 +38,7 @@
 
     @Override
     public boolean hasVectorialSupport() {
-        return false;
+        return true;
     }
     
 }
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/org.gvsig.exportto.swing.prov.csv/src/main/java/org/gvsig/export/csv/swing/ExportCSVPanels.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/org.gvsig.exportto.swing.prov.csv/src/main/java/org/gvsig/export/csv/swing/ExportCSVPanels.java	(revision 44394)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/org.gvsig.exportto.swing.prov.csv/src/main/java/org/gvsig/export/csv/swing/ExportCSVPanels.java	(revision 44395)
@@ -13,44 +13,84 @@
 import org.gvsig.export.swing.spi.ExportPanels;
 import org.gvsig.export.swing.spi.ExportPanelsFactory;
 import org.gvsig.export.swing.spi.ExportPanelsManager;
+import org.gvsig.fmap.geom.Geometry;
 
 /**
  *
  * @author jjdelcerro
  */
-public class ExportCSVPanels 
+public class ExportCSVPanels
         extends AbstractExportPanels
-        implements ExportPanels
-    {
+        implements ExportPanels {
 
     ExportCSVPanels(
-            ExportPanelsFactory factory, 
-            JExportProcessPanel processPanel, 
+            ExportPanelsFactory factory,
+            JExportProcessPanel processPanel,
             ExportParameters parameters
-        ) {
+    ) {
         super(factory, processPanel, parameters);
         this.initPanels();
     }
-    
+
     private void initPanels() {
         ExportPanelsManager manager = ExportSwingLocator.getExportPanelsManager();
-        
-        this.add( new CSVExportParametersPanel(
-                this.getProcessPanel(), 
+
+        this.add(new CSVExportParametersPanel(
+                this.getProcessPanel(),
                 this.getParameters()
-            )
+        )
         );
-        this.add( manager.createStandardPanel(
-                ExportPanelsManager.PANEL_SELECT_OUTPUT_FILE, 
-                this.getProcessPanel(), 
+        this.add(manager.createStandardPanel(
+                ExportPanelsManager.PANEL_SELECT_OUTPUT_FILE,
+                this.getProcessPanel(),
                 this.getParameters()
-            )
+        )
         );
         this.add(manager.createStandardPanel(
+                ExportPanelsManager.PANEL_SELECT_CHARSET,
+                this.getProcessPanel(),
+                this.getParameters()
+        )
+        );
+
+        this.add(manager.createStandardPanel(
+                ExportPanelsManager.PANEL_SELECT_GEOMETRY_FIELD,
+                this.getProcessPanel(),
+                this.getParameters()
+        )
+        );
+        this.add(manager.createStandardPanel(
+                ExportPanelsManager.PANEL_SELECT_GEOMETRY_TYPE,
+                this.getProcessPanel(),
+                this.getParameters(),
+                new int[]{
+                    Geometry.TYPES.GEOMETRY,
+                    Geometry.TYPES.POINT,
+                    Geometry.TYPES.LINE,
+                    Geometry.TYPES.POLYGON,
+                    Geometry.TYPES.MULTIPOINT,
+                    Geometry.TYPES.MULTILINE,
+                    Geometry.TYPES.MULTIPOLYGON
+                },
+                new int[]{
+                    Geometry.SUBTYPES.GEOM2D,
+                    Geometry.SUBTYPES.GEOM3D,
+                    Geometry.SUBTYPES.GEOM3DM
+                }
+        )
+        );
+        this.add(manager.createStandardPanel(
+                ExportPanelsManager.PANEL_CHECK_GEOMETRIES,
+                this.getProcessPanel(),
+                this.getParameters()
+        )
+        );
+
+        this.add(manager.createStandardPanel(
                 ExportPanelsManager.PANEL_ATTRIBUTES_SELECTION,
                 this.getProcessPanel(),
                 this.getParameters()
-            )
+        )
         );
     }
 }
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/org.gvsig.exportto.swing.prov.csv/src/main/java/org/gvsig/export/csv/swing/panels/CSVExportParametersPanel.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/org.gvsig.exportto.swing.prov.csv/src/main/java/org/gvsig/export/csv/swing/panels/CSVExportParametersPanel.java	(revision 44394)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/org.gvsig.exportto.swing.prov.csv/src/main/java/org/gvsig/export/csv/swing/panels/CSVExportParametersPanel.java	(revision 44395)
@@ -107,33 +107,10 @@
         DynStruct parametersDefinition = ToolsLocator.getPersistenceManager().getDefinition("CSVNewStoreParameters");
         this.cmbProfile.setModel(this.fillComboBoxWithAvaibleParameters("profile"));
         this.cmbProfile.setSelectedIndex(0);
-//        this.cmbProfile.addActionListener(new ActionListener() {
-//            @Override
-//            public void actionPerformed(ActionEvent e) {
-//                JComboBox combo = (JComboBox) e.getSource();
-//                ComboItem item = (ComboItem) combo.getSelectedItem();
-//                String s = item.getValue();
-//                CsvPreference pref = null;
-//                if ("STANDARD_PREFERENCE".equalsIgnoreCase(s)) {
-//                    pref = CsvPreference.STANDARD_PREFERENCE;
-//                }
-//                if ("EXCEL_PREFERENCE".equalsIgnoreCase(s)) {
-//                    pref = CsvPreference.EXCEL_PREFERENCE;
-//                }
-//                if ("EXCEL_NORTH_EUROPE_PREFERENCE".equalsIgnoreCase(s)) {
-//                    pref = CsvPreference.EXCEL_NORTH_EUROPE_PREFERENCE;
-//                }
-//                if ("TAB_PREFERENCE".equalsIgnoreCase(s)) {
-//                    pref = CsvPreference.TAB_PREFERENCE;
-//                }
-//                txtQuoteCharacter.setText(String.valueOf(pref.getQuoteChar()));
-//                txtDelimiter.setText(String.valueOf(pref.getDelimiterChar()));
-//                txtRecordSeparator.setText(String.valueOf(pref.getEndOfLineSymbols()));
-//                txtCommentStartMarker.setText(pref.getCommentMatcher().toString());
-//            }
-//        });
-        // Si viene de otro csv coger sus parametros
-        DataStoreParameters params = this.parameters.getSourceFeatureStore().getParameters();
+        
+        //TODO: set params from previous source store in case of null values
+        //it can be null
+        //DataStoreParameters params = this.parameters.getSourceFeatureStore().getParameters();
 //        if (params instanceof CSVStoreParameters) {
 //            CSVStoreParameters sparams = (CSVStoreParameters) params;
 //            CsvPreference profile = CSVStoreParameters.getPredefinedCSVPreferences(sparams);
@@ -166,13 +143,6 @@
         this.cmbLocale.setModel(this.fillComboBoxWithAvaibleParameters("locale"));
         this.cmbLocale.setSelectedIndex(0);
 
-//        String sourceProviderName = this.parameters.getSourceFeatureStore().getProviderName();
-//        if (sourceProviderName.equalsIgnoreCase("Shape") || sourceProviderName.equalsIgnoreCase("CSV")) {
-//            DataStoreParameters params = this.parameters.getSourceFeatureStore().getParameters();
-//            String encoding = (String) params.getDynValue("Encoding");
-//            ListElement.setSelected(this.lstEncoding, encoding);
-//        }
-
         this.translate();
     }
 
@@ -185,8 +155,6 @@
         i18nc.translate(this.lblDelimiter);
         i18nc.translate(this.lblQuoteCharacter);
         i18nc.translate(this.lblCommentStartMarker);
-        i18nc.translate(this.lblEscapeCharacter);
-        i18nc.translate(this.lblCharset);
 
     }
 
@@ -230,14 +198,6 @@
         return this.txtCommentStartMarker.getText();
     }
 
-    public String getParameterEscapeCharacter() {
-        return this.txtEscapeCharacter.getText();
-    }
-
-    public String getParameterCharset() {
-        return this.txtCharset.getText();
-    }
-
     @Override
     public JComponent asJComponent() {
         return this;
@@ -272,8 +232,6 @@
         this.txtDelimiter.setText(this.parameters.getDelimiter());
         this.txtQuoteCharacter.setText(this.parameters.getQuoteCharacter());
         this.txtCommentStartMarker.setText(this.parameters.getCommentStartMarker());
-        this.txtEscapeCharacter.setText(this.parameters.getRecordSeparator());
-        this.txtCharset.setText(this.parameters.getCharset());
     }
 
     @Override
@@ -304,17 +262,11 @@
         if (this.getParameterDelimiter() != null) {
             this.parameters.setDelimiter(this.getParameterDelimiter());
         }
-        if (this.getParameterCharset() != null) {
-            this.parameters.setQuoteCharacter(this.getParameterQuoteCharacter());
-        }
         if (this.getParameterCommentStartMarker() != null) {
             this.parameters.setCommentStartMarker(this.getParameterCommentStartMarker());
         }
-        if (this.getParameterEscapeCharacter() != null) {
-            this.parameters.setEscapeCharacter(this.getParameterEscapeCharacter());
+        if (this.getParameterQuoteCharacter()!=null) {
+            this.parameters.setQuoteCharacter(this.getParameterQuoteCharacter());
         }
-        if (this.getParameterCharset() != null) {
-            this.parameters.setCharset(this.getParameterCharset());
-        }
     }
 }
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/org.gvsig.exportto.swing.prov.csv/src/main/java/org/gvsig/export/csv/swing/panels/CSVExportParametersPanelView.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/org.gvsig.exportto.swing.prov.csv/src/main/java/org/gvsig/export/csv/swing/panels/CSVExportParametersPanelView.java	(revision 44394)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/org.gvsig.exportto.swing.prov.csv/src/main/java/org/gvsig/export/csv/swing/panels/CSVExportParametersPanelView.java	(revision 44395)
@@ -1,5 +1,4 @@
 package org.gvsig.export.csv.swing.panels;
-
 import com.jeta.open.i18n.I18NUtils;
 import com.jgoodies.forms.layout.CellConstraints;
 import com.jgoodies.forms.layout.FormLayout;
@@ -27,8 +26,6 @@
    JLabel lblDelimiter = new JLabel();
    JLabel lblQuoteCharacter = new JLabel();
    JLabel lblCommentStartMarker = new JLabel();
-   JLabel lblEscapeCharacter = new JLabel();
-   JLabel lblCharset = new JLabel();
    JComboBox cmbProfile = new JComboBox();
    JComboBox cmbQuotePolicy = new JComboBox();
    JComboBox cmbLocale = new JComboBox();
@@ -36,8 +33,6 @@
    JTextField txtDelimiter = new JTextField();
    JTextField txtQuoteCharacter = new JTextField();
    JTextField txtCommentStartMarker = new JTextField();
-   JTextField txtEscapeCharacter = new JTextField();
-   JTextField txtCharset = new JTextField();
 
    /**
     * Default constructor
@@ -149,7 +144,7 @@
    public JPanel createPanel()
    {
       JPanel jpanel1 = new JPanel();
-      FormLayout formlayout1 = new FormLayout("FILL:DEFAULT:NONE,FILL:106DLU:NONE,FILL:DEFAULT:GROW(1.0),FILL:DEFAULT:NONE","CENTER:DEFAULT:NONE,CENTER:DEFAULT:NONE,CENTER:4PX:NONE,CENTER:DEFAULT:NONE,CENTER:4PX:NONE,CENTER:DEFAULT:NONE,CENTER:4PX:NONE,CENTER:DEFAULT:NONE,CENTER:4PX:NONE,CENTER:DEFAULT:NONE,CENTER:4PX:NONE,CENTER:DEFAULT:NONE,CENTER:4PX:NONE,CENTER:DEFAULT:NONE,CENTER:4PX:NONE,CENTER:DEFAULT:NONE,CENTER:4PX:NONE,CENTER:DEFAULT:NONE,CENTER:4PX:NONE,CENTER:DEFAULT:NONE");
+      FormLayout formlayout1 = new FormLayout("FILL:DEFAULT:NONE,FILL:106DLU:NONE,FILL:DEFAULT:GROW(1.0),FILL:DEFAULT:NONE","CENTER:DEFAULT:NONE,CENTER:DEFAULT:NONE,CENTER:4PX:NONE,CENTER:DEFAULT:NONE,CENTER:4PX:NONE,CENTER:DEFAULT:NONE,CENTER:4PX:NONE,CENTER:DEFAULT:NONE,CENTER:4PX:NONE,CENTER:DEFAULT:NONE,CENTER:4PX:NONE,CENTER:DEFAULT:NONE,CENTER:4PX:NONE,CENTER:DEFAULT:NONE,CENTER:4PX:NONE,CENTER:DEFAULT:NONE");
       CellConstraints cc = new CellConstraints();
       jpanel1.setLayout(formlayout1);
 
@@ -181,14 +176,6 @@
       lblCommentStartMarker.setText("_Comment_start_marker");
       jpanel1.add(lblCommentStartMarker,cc.xy(2,14));
 
-      lblEscapeCharacter.setName("lblEscapeCharacter");
-      lblEscapeCharacter.setText("_Escape_character");
-      jpanel1.add(lblEscapeCharacter,cc.xy(2,16));
-
-      lblCharset.setName("lblCharset");
-      lblCharset.setText("_Charset");
-      jpanel1.add(lblCharset,cc.xy(2,18));
-
       cmbProfile.setName("cmbProfile");
       jpanel1.add(cmbProfile,cc.xy(3,2));
 
@@ -210,13 +197,7 @@
       txtCommentStartMarker.setName("txtCommentStartMarker");
       jpanel1.add(txtCommentStartMarker,cc.xy(3,14));
 
-      txtEscapeCharacter.setName("txtEscapeCharacter");
-      jpanel1.add(txtEscapeCharacter,cc.xy(3,16));
-
-      txtCharset.setName("txtCharset");
-      jpanel1.add(txtCharset,cc.xy(3,18));
-
-      addFillComponents(jpanel1,new int[]{ 1,2,3,4 },new int[]{ 1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20 });
+      addFillComponents(jpanel1,new int[]{ 1,2,3,4 },new int[]{ 1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16 });
       return jpanel1;
    }
 
